Cyberduck Mountain Duck CLI

#7660 closed defect (worksforme)

unable to delete on S3 AWS

Reported by: ivanhassan Owned by: dkocher
Priority: high Milestone: 4.4.4
Component: s3 Version: 4.4.3
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

Just upgraded to release 4.4.3 and now i cannot delete on sydney S3 buckets. A bit shaky on USA buckets.

Tested with latest snapshot build and same problem.

It looks like it tries to delete but then the file is still there!

Not an access or permissions issue with S3 - tested using Expandrive which deletes without issue.

Any suggestions?

Ivan

Attachments (2)

directory bug.png (48.7 KB) - added by ivanhassan on Jan 9, 2014 at 12:28:12 AM.
redraw bug.png (80.3 KB) - added by ivanhassan on Jan 9, 2014 at 12:28:36 AM.

Download all attachments as: .zip

Change History (17)

comment:1 Changed on Dec 4, 2013 at 3:22:14 PM by dkocher

Please post the transcript from the log drawer (⌘-L).

comment:2 Changed on Dec 4, 2013 at 3:22:24 PM by dkocher

  • Component changed from core to s3
  • Milestone set to 4.5

comment:3 Changed on Dec 4, 2013 at 9:43:03 PM by ivanhassan

Please find attached the capture when attempting to delete an object;

GET /?versioning HTTP/1.1
Date: Wed, 04 Dec 2013 21:29:38 GMT
Authorization: AWS ************
Host: archive-photos-2013.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: 9vXiZQ8Nxdde3xtx0L3pXzTAapV9jz6pp6d6HIdLhtMUOMuBogmIZL0KFU7YZPJs
x-amz-request-id: 59C56553EBBCB642
Date: Wed, 04 Dec 2013 21:29:39 GMT
Transfer-Encoding: chunked
Server: AmazonS3
GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
Date: Wed, 04 Dec 2013 21:29:39 GMT
Authorization: AWS **********
Host: archive-photos-2013.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: aBmC1x2m7+KU/dxEP+Gpgj+fu+oZj5O8kbtGQmh9DzV2BG4d/Q5sxNjVGWtsERVI
x-amz-request-id: C492581AC94575B0
Date: Wed, 04 Dec 2013 21:29:40 GMT
Content-Type: application/xml
Transfer-Encoding: chunked
Server: AmazonS3
GET /?versioning HTTP/1.1
Date: Wed, 04 Dec 2013 21:29:39 GMT
Authorization: AWS **********
Host: archive-photos-2013.s3.amazonaws.com:443
Connection: Keep-Alive
User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
HTTP/1.1 200 OK
x-amz-id-2: sTV1KHmrEM5FZwBK2YP8tZKGmjgztIxSBHIus/hjwDk6zmwhITcTh1bwmUSlldjh
x-amz-request-id: 470E633E6F138EDF
Date: Wed, 04 Dec 2013 21:29:40 GMT
Transfer-Encoding: chunked
Server: AmazonS3
Last edited on Dec 5, 2013 at 8:32:01 AM by dkocher (previous) (diff)

comment:4 Changed on Dec 4, 2013 at 10:02:08 PM by ivanhassan

Here is the debug log too, for when attempting to delete a file.

05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,654 [main] DEBUG org.rococoa.callback - No method for selector:menuWillOpen:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,654 [main] DEBUG org.rococoa.callback - No method for selector:menuDidClose:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,654 [main] DEBUG org.rococoa.callback - No method for selector:menuWillOpen:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,654 [main] DEBUG org.rococoa.callback - No method for selector:menuDidClose:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,654 [main] DEBUG org.rococoa.callback - No method for selector:menuWillOpen:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,654 [main] DEBUG org.rococoa.callback - No method for selector:menuDidClose:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,655 [main] DEBUG org.rococoa.callback - No method for selector:menuWillOpen:
05/12/2013 10:57:23.655 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,655 [main] DEBUG org.rococoa.callback - No method for selector:menuDidClose:
05/12/2013 10:57:23.660 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,659 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.661 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,660 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.662 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,661 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.663 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,662 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.664 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,664 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.665 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,665 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.666 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,666 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.667 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,667 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.668 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,668 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.669 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,669 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.670 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,669 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.671 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,670 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.672 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,671 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.672 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,672 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.673 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,673 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.674 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,674 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.675 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,675 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.676 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,675 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:23.679 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,679 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:public.utf8-plain-text,null
05/12/2013 10:57:23.680 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,679 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:NSStringPboardType,null
05/12/2013 10:57:23.680 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,680 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:public.utf8-plain-text,public.utf8-plain-text
05/12/2013 10:57:23.681 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,680 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:public.utf8-plain-text,NSStringPboardType
05/12/2013 10:57:23.681 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,681 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:NSStringPboardType,public.utf8-plain-text
05/12/2013 10:57:23.682 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,681 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:NSStringPboardType,NSStringPboardType
05/12/2013 10:57:23.682 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,682 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:null,public.tiff
05/12/2013 10:57:23.683 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,682 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:null,NeXT TIFF v4.0 pasteboard type
05/12/2013 10:57:23.683 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,683 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:public.rtf,null
05/12/2013 10:57:23.683 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,683 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:NeXT Rich Text Format v1.0 pasteboard type,null
05/12/2013 10:57:23.684 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,683 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:public.utf8-plain-text,null
05/12/2013 10:57:23.684 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:23,684 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - validRequestorForSendType_returnType:NSStringPboardType,null
05/12/2013 10:57:26.352 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,352 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,358 [main] DEBUG org.rococoa.callback - No method for selector:windowDidExitFullScreen:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,358 [main] DEBUG org.rococoa.callback - No method for selector:windowDidExpose:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidUpdate:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowWillEnterVersionBrowser:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidResize:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidChangeScreenProfile:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowWillStartLiveResize:
05/12/2013 10:57:26.359 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidOrderOnScreen:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowWillBeginSheet:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidChangeScreen:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidEndSheet:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidEnterFullScreen:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowWillMiniaturize:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowWillMove:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidDeminiaturize:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowDidExitVersionBrowser:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,359 [main] DEBUG org.rococoa.callback - No method for selector:windowWillOrderOnScreen:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowWillOrderOffScreen:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowDidOrderOffScreen:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowDidMove:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowDidMiniaturize:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowDidEnterVersionBrowser:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowDidChangeBackingProperties:
05/12/2013 10:57:26.360 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowWillExitVersionBrowser:
05/12/2013 10:57:26.361 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowDidEndLiveResize:
05/12/2013 10:57:26.361 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:validRequestorForSendType:returnType:
05/12/2013 10:57:26.361 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:windowWillReturnFieldEditor:toObject:
05/12/2013 10:57:26.361 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,360 [main] DEBUG org.rococoa.callback - No method for selector:window:willEncodeRestorableState:
05/12/2013 10:57:26.374 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:26,374 [main] DEBUG org.rococoa.callback - No method for selector:window:willPositionSheet:usingRect:
05/12/2013 10:57:27.750 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,749 [main] DEBUG ch.cyberduck.ui.cocoa.SheetController - Close sheet with button Delete
05/12/2013 10:57:27.991 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,990 [main] DEBUG ch.cyberduck.ui.AbstractController - Run action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null} in background
05/12/2013 10:57:27.991 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,990 [main] DEBUG ch.cyberduck.ui.AbstractController - Synchronize on lock Session{host=Host{credentials=Credentials{user='AKIAIT3QNBHE7CHGNEZA'}, hostname='s3.amazonaws.com', port=443, protocol=s3}, state=open} for action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:27.991 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,990 [main] INFO  ch.cyberduck.ui.AbstractController - Scheduled background runnable WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null} for execution
05/12/2013 10:57:27.991 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,991 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Acquired lock for background runnable WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:27.991 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,991 [main] DEBUG ch.cyberduck.ui.cocoa.ProxyController - Invalidate controller ch.cyberduck.ui.cocoa.WindowController$2@465e2e1c
05/12/2013 10:57:27.992 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,991 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Prepare background task WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:27.992 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,991 [main] INFO  ch.cyberduck.core.threading.ThreadPool - Shutdown pool java.util.concurrent.Executors$FinalizableDelegatedExecutorService@17ff81fd
05/12/2013 10:57:27.992 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,991 [main] INFO  ch.cyberduck.core.threading.ThreadPool - Shutdown pool java.util.concurrent.ThreadPoolExecutor@7af155a[Running, pool size = 0, active threads = 0, queued tasks = 0, completed tasks = 0]
05/12/2013 10:57:27.994 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,993 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Run background task WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:27.994 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,993 [background-1] DEBUG ch.cyberduck.ui.threading.WorkerBackgroundAction - Run worker ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b
05/12/2013 10:57:27.994 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,993 [background-1] INFO  ch.cyberduck.core.Session - Deleting AWS ESS certificate.pdf
05/12/2013 10:57:27.994 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,994 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestS3Service - Checking status of versioning for bucket archive-photos-2013
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,994 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.disable-dns-buckets=false
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,994 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint=s3.amazonaws.com
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,994 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint-virtual-path=
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,994 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint-https-port=443
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,994 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - S3 URL: https://archive-photos-2013.s3.amazonaws.com:443/
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Added request parameter without value: versioning
05/12/2013 10:57:27.995 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Performing GET request for 'https://archive-photos-2013.s3.amazonaws.com:443/?versioning', expecting response codes: [200]
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Headers: [Date: Wed, 04 Dec 2013 21:57:27 GMT]
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.Jets3tProperties - httpclient.retry-max=0
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Adding authorization for Access Key 'AKIAIT3QNBHE7CHGNEZA'.
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint=s3.amazonaws.com
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - For creating canonical string, using uri: /archive-photos-2013/?versioning
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,995 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Canonical string ('|' is a newline): GET|||Wed, 04 Dec 2013 21:57:27 GMT|/archive-photos-2013/?versioning
05/12/2013 10:57:27.996 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,996 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection request: [route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 1; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:27.997 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,996 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection leased: [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 0; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:27.997 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,996 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Stale connection check
05/12/2013 10:57:27.997 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,996 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Stale connection detected
05/12/2013 10:57:27.997 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:27,997 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Connection 0.0.0.0:49897<->54.240.195.150:443 closed
05/12/2013 10:57:28.357 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:28,357 [background-1] DEBUG ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Configure SSL parameters with protocols [TLSv1.2, TLSv1.1, TLSv1, SSLv3]
05/12/2013 10:57:28.357 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:28,357 [background-1] DEBUG ch.cyberduck.core.ssl.CustomTrustSSLProtocolSocketFactory - Handshake for socket 2ee5e7fe[SSL_NULL_WITH_NULL_NULL: Socket[unconnected]]
05/12/2013 10:57:28.358 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:28,357 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnectionOperator - Connecting to archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:29.097 com.apple.launchd.peruser.501: (com.intego.commonservices.statusitem[4625]) posix_spawn("/Library/Intego/IntegoStatusItem.bundle/Contents/MacOS/tool_launcher", ...): No such file or directory
05/12/2013 10:57:29.097 com.apple.launchd.peruser.501: (com.bjango.istatlocal[4626]) posix_spawn("/Library/Application Support/iStat local/iStatLocal", ...): No such file or directory
05/12/2013 10:57:29.098 com.apple.launchd.peruser.501: (com.intego.commonservices.statusitem[4625]) Exited with code: 1
05/12/2013 10:57:29.098 com.apple.launchd.peruser.501: (com.intego.commonservices.statusitem) Throttling respawn: Will start in 10 seconds
05/12/2013 10:57:29.098 com.apple.launchd.peruser.501: (com.bjango.istatlocal[4626]) Exited with code: 1
05/12/2013 10:57:29.098 com.apple.launchd.peruser.501: (com.bjango.istatlocal) Throttling respawn: Will start in 10 seconds
05/12/2013 10:57:29.130 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,129 [background-1] INFO  ch.cyberduck.core.ssl.CertificateStoreX509TrustManager - Certificate for archive-photos-2013.s3.amazonaws.com previously trusted
05/12/2013 10:57:29.482 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,482 [background-1] DEBUG ch.cyberduck.core.http.HttpSession - Hostname verification disabled for archive-photos-2013.s3.amazonaws.com handled in system trust manager
05/12/2013 10:57:29.492 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,492 [background-1] DEBUG org.apache.http.client.protocol.RequestAddCookies - CookieSpec selected: best-match
05/12/2013 10:57:29.493 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,492 [background-1] DEBUG org.apache.http.client.protocol.RequestAuthCache - Auth cache not set in the context
05/12/2013 10:57:29.493 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,492 [background-1] DEBUG org.apache.http.client.protocol.RequestProxyAuthentication - Proxy auth state: UNCHALLENGED
05/12/2013 10:57:29.493 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,492 [background-1] INFO  ch.cyberduck.core.Session - GET /?versioning HTTP/1.1
05/12/2013 10:57:29.493 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,492 [background-1] INFO  ch.cyberduck.core.Session - Date: Wed, 04 Dec 2013 21:57:27 GMT
05/12/2013 10:57:29.493 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,493 [background-1] INFO  ch.cyberduck.core.Session - Authorization: AWS AKIAIT3QNBHE7CHGNEZA:bgaDJUevs9vaMJjacsFD3Wz08C0=
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,493 [background-1] INFO  ch.cyberduck.core.Session - Host: archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,493 [background-1] INFO  ch.cyberduck.core.Session - Connection: Keep-Alive
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,493 [background-1] INFO  ch.cyberduck.core.Session - User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Attempt 1 to execute request
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Sending request: GET /?versioning HTTP/1.1
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> GET /?versioning HTTP/1.1
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> Date: Wed, 04 Dec 2013 21:57:27 GMT
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> Authorization: AWS AKIAIT3QNBHE7CHGNEZA:bgaDJUevs9vaMJjacsFD3Wz08C0=
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> Host: archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> Connection: Keep-Alive
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
05/12/2013 10:57:29.494 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,494 [background-1] DEBUG org.apache.http.headers - >> Accept-Encoding: gzip,deflate
05/12/2013 10:57:29.506 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,506 [Finalizer] DEBUG org.rococoa - Draining autorelease pool
05/12/2013 10:57:29.543 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,543 [Finalizer] DEBUG org.rococoa - Draining autorelease pool
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Receiving response: HTTP/1.1 200 OK
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.headers - << HTTP/1.1 200 OK
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.headers - << x-amz-id-2: ePJrYW7rqaVIw2rHhuNuPcPqi1vyrmz2ly0DX+pOj9uNij3srrmIAYYDFNLDMSIb
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.headers - << x-amz-request-id: 4599AF0111A2366F
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.headers - << Date: Wed, 04 Dec 2013 21:57:30 GMT
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.headers - << Transfer-Encoding: chunked
05/12/2013 10:57:29.895 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] DEBUG org.apache.http.headers - << Server: AmazonS3
05/12/2013 10:57:29.896 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] INFO  ch.cyberduck.core.Session - HTTP/1.1 200 OK
05/12/2013 10:57:29.896 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,895 [background-1] INFO  ch.cyberduck.core.Session - x-amz-id-2: ePJrYW7rqaVIw2rHhuNuPcPqi1vyrmz2ly0DX+pOj9uNij3srrmIAYYDFNLDMSIb
05/12/2013 10:57:29.896 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,896 [background-1] INFO  ch.cyberduck.core.Session - x-amz-request-id: 4599AF0111A2366F
05/12/2013 10:57:29.896 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,896 [background-1] INFO  ch.cyberduck.core.Session - Date: Wed, 04 Dec 2013 21:57:30 GMT
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,896 [background-1] INFO  ch.cyberduck.core.Session - Transfer-Encoding: chunked
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,896 [background-1] INFO  ch.cyberduck.core.Session - Server: AmazonS3
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,896 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Connection can be kept alive indefinitely
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,897 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response for 'GET'. Content-Type: , Headers: [x-amz-id-2: ePJrYW7rqaVIw2rHhuNuPcPqi1vyrmz2ly0DX+pOj9uNij3srrmIAYYDFNLDMSIb, x-amz-request-id: 4599AF0111A2366F, Date: Wed, 04 Dec 2013 21:57:30 GMT, Transfer-Encoding: chunked, Server: AmazonS3]
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,897 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response entity: org.apache.http.conn.BasicManagedEntity@35b0050
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,897 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Entity length: -1
05/12/2013 10:57:29.897 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,897 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Received response code 200; matches one of expected set ([200])? true
05/12/2013 10:57:29.898 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,897 [background-1] DEBUG org.jets3t.service.impl.rest.XmlResponsesSaxParser - Parsing XML response document with handler: class org.jets3t.service.impl.rest.XmlResponsesSaxParser$VersioningConfigurationHandler
05/12/2013 10:57:29.898 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,898 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443] can be kept alive indefinitely
05/12/2013 10:57:29.899 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,898 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection released: [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 1; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:29.899 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,898 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.HttpMethodReleaseInputStream - Released HttpMethod as its response data stream is fully consumed
05/12/2013 10:57:29.900 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,899 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Finish background task WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:29.900 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,900 [background-1] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:29.901 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,900 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Releasing lock for background runnable WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:29.932 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,931 [main] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b, result=null}
05/12/2013 10:57:29.933 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,932 [main] WARN  ch.cyberduck.ui.threading.WorkerBackgroundAction - Missing result for worker ch.cyberduck.ui.cocoa.BrowserController$20@8deadc7b. Use default value.
05/12/2013 10:57:29.933 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,932 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - Reload data with selected files []
05/12/2013 10:57:29.933 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,933 [main] INFO  ch.cyberduck.core.Cache - Invalidate NSObjectPathReference{reference=10-/archive-photos-2013, hashcode=1426320512}
05/12/2013 10:57:29.935 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,934 [main] DEBUG ch.cyberduck.ui.AbstractController - Run action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=null} in background
05/12/2013 10:57:29.935 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,934 [main] DEBUG ch.cyberduck.ui.AbstractController - Synchronize on lock Session{host=Host{credentials=Credentials{user='AKIAIT3QNBHE7CHGNEZA'}, hostname='s3.amazonaws.com', port=443, protocol=s3}, state=open} for action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=null}
05/12/2013 10:57:29.935 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,934 [main] INFO  ch.cyberduck.ui.AbstractController - Scheduled background runnable WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=null} for execution
05/12/2013 10:57:29.935 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,934 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Acquired lock for background runnable WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=null}
05/12/2013 10:57:29.935 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,934 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Prepare background task WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=null}
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,936 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Run background task WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=null}
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,936 [background-1] DEBUG ch.cyberduck.ui.threading.WorkerBackgroundAction - Run worker ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,936 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.disable-dns-buckets=false
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,936 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint=s3.amazonaws.com
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint-virtual-path=
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint-https-port=443
05/12/2013 10:57:29.937 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - S3 URL: https://archive-photos-2013.s3.amazonaws.com:443/
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Added request parameter: delimiter=/
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Added request parameter: max-keys=1000
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Added request parameter without value: prefix
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Performing GET request for 'https://archive-photos-2013.s3.amazonaws.com:443/?delimiter=%2F&max-keys=1000&prefix', expecting response codes: [200]
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Headers: [Date: Wed, 04 Dec 2013 21:57:29 GMT]
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.Jets3tProperties - httpclient.retry-max=0
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Adding authorization for Access Key 'AKIAIT3QNBHE7CHGNEZA'.
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint=s3.amazonaws.com
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,937 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - For creating canonical string, using uri: /archive-photos-2013/?delimiter=%2F&max-keys=1000&prefix
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,938 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Canonical string ('|' is a newline): GET|||Wed, 04 Dec 2013 21:57:29 GMT|/archive-photos-2013/
05/12/2013 10:57:29.938 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,938 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection request: [route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 1; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:29.939 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,938 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection leased: [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 0; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:29.939 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,938 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Stale connection check
05/12/2013 10:57:29.940 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,940 [background-1] DEBUG org.apache.http.client.protocol.RequestAddCookies - CookieSpec selected: best-match
05/12/2013 10:57:29.940 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,940 [background-1] DEBUG org.apache.http.client.protocol.RequestAuthCache - Auth cache not set in the context
05/12/2013 10:57:29.940 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,940 [background-1] DEBUG org.apache.http.client.protocol.RequestProxyAuthentication - Proxy auth state: UNCHALLENGED
05/12/2013 10:57:29.940 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,940 [background-1] INFO  ch.cyberduck.core.Session - GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
05/12/2013 10:57:29.941 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,940 [background-1] INFO  ch.cyberduck.core.Session - Date: Wed, 04 Dec 2013 21:57:29 GMT
05/12/2013 10:57:29.941 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,940 [background-1] INFO  ch.cyberduck.core.Session - Authorization: AWS AKIAIT3QNBHE7CHGNEZA:1GxJXm33dbCawCESsHdAPn85mhk=
05/12/2013 10:57:29.941 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] INFO  ch.cyberduck.core.Session - Host: archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:29.941 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] INFO  ch.cyberduck.core.Session - Connection: Keep-Alive
05/12/2013 10:57:29.941 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] INFO  ch.cyberduck.core.Session - User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Attempt 1 to execute request
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Sending request: GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> GET /?delimiter=%2F&max-keys=1000&prefix HTTP/1.1
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> Date: Wed, 04 Dec 2013 21:57:29 GMT
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> Authorization: AWS AKIAIT3QNBHE7CHGNEZA:1GxJXm33dbCawCESsHdAPn85mhk=
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> Host: archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> Connection: Keep-Alive
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
05/12/2013 10:57:29.942 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:29,941 [background-1] DEBUG org.apache.http.headers - >> Accept-Encoding: gzip,deflate
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Receiving response: HTTP/1.1 200 OK
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << HTTP/1.1 200 OK
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << x-amz-id-2: 5QWZgo1Sh2am6DoQ7D/pLe/hYlwMPlRU0Qtn3TutViHsLALQFJizn1nivMtsZ5d0
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << x-amz-request-id: 3E8348A3457F9E5E
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << Date: Wed, 04 Dec 2013 21:57:30 GMT
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << Content-Type: application/xml
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << Transfer-Encoding: chunked
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,748 [background-1] DEBUG org.apache.http.headers - << Server: AmazonS3
05/12/2013 10:57:30.749 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,749 [background-1] INFO  ch.cyberduck.core.Session - HTTP/1.1 200 OK
05/12/2013 10:57:30.750 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,749 [background-1] INFO  ch.cyberduck.core.Session - x-amz-id-2: 5QWZgo1Sh2am6DoQ7D/pLe/hYlwMPlRU0Qtn3TutViHsLALQFJizn1nivMtsZ5d0
05/12/2013 10:57:30.750 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,749 [background-1] INFO  ch.cyberduck.core.Session - x-amz-request-id: 3E8348A3457F9E5E
05/12/2013 10:57:30.750 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,750 [background-1] INFO  ch.cyberduck.core.Session - Date: Wed, 04 Dec 2013 21:57:30 GMT
05/12/2013 10:57:30.750 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,750 [background-1] INFO  ch.cyberduck.core.Session - Content-Type: application/xml
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,750 [background-1] INFO  ch.cyberduck.core.Session - Transfer-Encoding: chunked
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,750 [background-1] INFO  ch.cyberduck.core.Session - Server: AmazonS3
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,750 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Connection can be kept alive indefinitely
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,751 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response for 'GET'. Content-Type: application/xml, Headers: [x-amz-id-2: 5QWZgo1Sh2am6DoQ7D/pLe/hYlwMPlRU0Qtn3TutViHsLALQFJizn1nivMtsZ5d0, x-amz-request-id: 3E8348A3457F9E5E, Date: Wed, 04 Dec 2013 21:57:30 GMT, Content-Type: application/xml, Transfer-Encoding: chunked, Server: AmazonS3]
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,751 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response entity: org.apache.http.conn.BasicManagedEntity@2d25498b
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,751 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Entity length: -1
05/12/2013 10:57:30.751 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,751 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Received response code 200; matches one of expected set ([200])? true
05/12/2013 10:57:30.752 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,751 [background-1] DEBUG org.jets3t.service.Jets3tProperties - xmlparser.sanitize-listings=true
05/12/2013 10:57:30.752 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,751 [background-1] DEBUG org.jets3t.service.impl.rest.XmlResponsesSaxParser - Sanitizing XML document destined for handler class org.jets3t.service.impl.rest.XmlResponsesSaxParser$ListBucketHandler
05/12/2013 10:57:30.833 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,833 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443] can be kept alive indefinitely
05/12/2013 10:57:30.833 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,833 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection released: [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 1; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:30.833 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,833 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.HttpMethodReleaseInputStream - Released HttpMethod as its response data stream is fully consumed
05/12/2013 10:57:30.834 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,833 [background-1] DEBUG org.jets3t.service.impl.rest.XmlResponsesSaxParser - Parsing XML response document with handler: class org.jets3t.service.impl.rest.XmlResponsesSaxParser$ListBucketHandler
05/12/2013 10:57:30.834 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,833 [background-1] DEBUG org.jets3t.service.impl.rest.XmlResponsesSaxParser - Examining listing for bucket: archive-photos-2013
05/12/2013 10:57:30.835 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,834 [background-1] DEBUG org.jets3t.service.impl.rest.XmlResponsesSaxParser - Created new object from listing: S3Object [key=AWS ESS certificate.pdf, bucket=archive-photos-2013, lastModified=Thu Dec 05 10:28:59 NZDT 2013, dataInputStream=null, storageClass=STANDARD, Metadata={ETag="0bc4fbbf1d68476eaa096803410c6049", Content-Length=63614, Last-Modified=Thu Dec 05 10:28:59 NZDT 2013}]
05/12/2013 10:57:30.835 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,834 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Found 1 objects in one batch
05/12/2013 10:57:30.835 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,834 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Found 1 common prefixes in one batch
05/12/2013 10:57:30.836 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] INFO  ch.cyberduck.ui.action.SessionListWorker - Retrieved chunk of 2 items in /archive-photos-2013
05/12/2013 10:57:30.836 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestS3Service - Checking status of versioning for bucket archive-photos-2013
05/12/2013 10:57:30.836 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.disable-dns-buckets=false
05/12/2013 10:57:30.836 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint=s3.amazonaws.com
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint-virtual-path=
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint-https-port=443
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - S3 URL: https://archive-photos-2013.s3.amazonaws.com:443/
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Added request parameter without value: versioning
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Performing GET request for 'https://archive-photos-2013.s3.amazonaws.com:443/?versioning', expecting response codes: [200]
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Headers: [Date: Wed, 04 Dec 2013 21:57:30 GMT]
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.Jets3tProperties - httpclient.retry-max=0
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Adding authorization for Access Key 'AKIAIT3QNBHE7CHGNEZA'.
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,836 [background-1] DEBUG org.jets3t.service.Jets3tProperties - s3service.s3-endpoint=s3.amazonaws.com
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,837 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - For creating canonical string, using uri: /archive-photos-2013/?versioning
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,837 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Canonical string ('|' is a newline): GET|||Wed, 04 Dec 2013 21:57:30 GMT|/archive-photos-2013/?versioning
05/12/2013 10:57:30.837 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,837 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection request: [route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 1; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:30.838 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,837 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection leased: [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 0; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:30.838 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,837 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Stale connection check
05/12/2013 10:57:30.839 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] DEBUG org.apache.http.client.protocol.RequestAddCookies - CookieSpec selected: best-match
05/12/2013 10:57:30.839 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] DEBUG org.apache.http.client.protocol.RequestAuthCache - Auth cache not set in the context
05/12/2013 10:57:30.839 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] DEBUG org.apache.http.client.protocol.RequestProxyAuthentication - Proxy auth state: UNCHALLENGED
05/12/2013 10:57:30.839 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] INFO  ch.cyberduck.core.Session - GET /?versioning HTTP/1.1
05/12/2013 10:57:30.840 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] INFO  ch.cyberduck.core.Session - Date: Wed, 04 Dec 2013 21:57:30 GMT
05/12/2013 10:57:30.840 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] INFO  ch.cyberduck.core.Session - Authorization: AWS AKIAIT3QNBHE7CHGNEZA:c90vABlP7EQqNqCNveLyu4HJBbA=
05/12/2013 10:57:30.840 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,839 [background-1] INFO  ch.cyberduck.core.Session - Host: archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:30.840 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] INFO  ch.cyberduck.core.Session - Connection: Keep-Alive
05/12/2013 10:57:30.840 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] INFO  ch.cyberduck.core.Session - User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Attempt 1 to execute request
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Sending request: GET /?versioning HTTP/1.1
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> GET /?versioning HTTP/1.1
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> Date: Wed, 04 Dec 2013 21:57:30 GMT
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> Authorization: AWS AKIAIT3QNBHE7CHGNEZA:c90vABlP7EQqNqCNveLyu4HJBbA=
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> Host: archive-photos-2013.s3.amazonaws.com:443
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> Connection: Keep-Alive
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> User-Agent: Cyberduck/4.4.3 (Mac OS X/10.7.5) (x86_64)
05/12/2013 10:57:30.841 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:30,840 [background-1] DEBUG org.apache.http.headers - >> Accept-Encoding: gzip,deflate
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.impl.conn.DefaultClientConnection - Receiving response: HTTP/1.1 200 OK
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.headers - << HTTP/1.1 200 OK
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.headers - << x-amz-id-2: 0TD3Q9WwHTJ5KAyyeP/PfoJwy2kXWTbGw2anEYNrddFj6bI3PublNYcr2hFmUOdx
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.headers - << x-amz-request-id: 5A4B427890EB58F4
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.headers - << Date: Wed, 04 Dec 2013 21:57:31 GMT
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.headers - << Transfer-Encoding: chunked
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,006 [background-1] DEBUG org.apache.http.headers - << Server: AmazonS3
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,007 [background-1] INFO  ch.cyberduck.core.Session - HTTP/1.1 200 OK
05/12/2013 10:57:31.007 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,007 [background-1] INFO  ch.cyberduck.core.Session - x-amz-id-2: 0TD3Q9WwHTJ5KAyyeP/PfoJwy2kXWTbGw2anEYNrddFj6bI3PublNYcr2hFmUOdx
05/12/2013 10:57:31.008 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,007 [background-1] INFO  ch.cyberduck.core.Session - x-amz-request-id: 5A4B427890EB58F4
05/12/2013 10:57:31.008 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,007 [background-1] INFO  ch.cyberduck.core.Session - Date: Wed, 04 Dec 2013 21:57:31 GMT
05/12/2013 10:57:31.008 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] INFO  ch.cyberduck.core.Session - Transfer-Encoding: chunked
05/12/2013 10:57:31.008 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] INFO  ch.cyberduck.core.Session - Server: AmazonS3
05/12/2013 10:57:31.008 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] DEBUG org.apache.http.impl.client.DefaultHttpClient - Connection can be kept alive indefinitely
05/12/2013 10:57:31.009 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response for 'GET'. Content-Type: , Headers: [x-amz-id-2: 0TD3Q9WwHTJ5KAyyeP/PfoJwy2kXWTbGw2anEYNrddFj6bI3PublNYcr2hFmUOdx, x-amz-request-id: 5A4B427890EB58F4, Date: Wed, 04 Dec 2013 21:57:31 GMT, Transfer-Encoding: chunked, Server: AmazonS3]
05/12/2013 10:57:31.009 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Response entity: org.apache.http.conn.BasicManagedEntity@3a92b28d
05/12/2013 10:57:31.009 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Entity length: -1
05/12/2013 10:57:31.009 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,008 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.RestStorageService - Received response code 200; matches one of expected set ([200])? true
05/12/2013 10:57:31.009 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,009 [background-1] DEBUG org.jets3t.service.impl.rest.XmlResponsesSaxParser - Parsing XML response document with handler: class org.jets3t.service.impl.rest.XmlResponsesSaxParser$VersioningConfigurationHandler
05/12/2013 10:57:31.024 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,023 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443] can be kept alive indefinitely
05/12/2013 10:57:31.024 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,023 [background-1] DEBUG org.apache.http.impl.conn.PoolingClientConnectionManager - Connection released: [id: 1][route: {s}->https://archive-photos-2013.s3.amazonaws.com:443][total kept alive: 1; route allocated: 1 of 2147483647; total allocated: 1 of 2147483647]
05/12/2013 10:57:31.024 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,023 [background-1] DEBUG org.jets3t.service.impl.rest.httpclient.HttpMethodReleaseInputStream - Released HttpMethod as its response data stream is fully consumed
05/12/2013 10:57:31.024 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,023 [background-1] INFO  ch.cyberduck.core.Cache - Caching NSObjectPathReference{reference=10-/archive-photos-2013, hashcode=1426320512}
05/12/2013 10:57:31.024 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,024 [background-1] DEBUG ch.cyberduck.core.threading.AbstractBackgroundAction - Finish background task WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=[/archive-photos-2013/AWS ESS certificate.pdf, /archive-photos-2013/PHOTOS (04-12-2013)]}
05/12/2013 10:57:31.025 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,024 [background-1] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=[/archive-photos-2013/AWS ESS certificate.pdf, /archive-photos-2013/PHOTOS (04-12-2013)]}
05/12/2013 10:57:31.026 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,025 [background-1] DEBUG ch.cyberduck.ui.AbstractController - Releasing lock for background runnable WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=[/archive-photos-2013/AWS ESS certificate.pdf, /archive-photos-2013/PHOTOS (04-12-2013)]}
05/12/2013 10:57:31.035 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,035 [main] DEBUG ch.cyberduck.core.threading.BackgroundActionRegistry - Remove action WorkerBackgroundAction{worker=ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80, result=[/archive-photos-2013/AWS ESS certificate.pdf, /archive-photos-2013/PHOTOS (04-12-2013)]}
05/12/2013 10:57:31.036 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,035 [main] DEBUG ch.cyberduck.ui.threading.WorkerBackgroundAction - Cleanup worker ch.cyberduck.ui.cocoa.BrowserTableDataSource$1@5503ec80
05/12/2013 10:57:31.036 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,036 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - Reload data with selected files [/archive-photos-2013/AWS ESS certificate.pdf]
05/12/2013 10:57:31.040 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,039 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - Select row with reference NSObjectPathReference{reference=1-/archive-photos-2013/AWS ESS certificate.pdf, hashcode=1093088316}
05/12/2013 10:57:31.042 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:31,041 [main] DEBUG ch.cyberduck.ui.cocoa.BrowserController - Select row at index :0
05/12/2013 10:57:32.699 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:32,699 [main] DEBUG org.rococoa.callback - No method for selector:applicationDockMenu:
05/12/2013 10:57:32.700 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:32,699 [main] DEBUG org.rococoa.callback - No method for selector:validateMenuItem:
05/12/2013 10:57:32.700 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:32,699 [main] DEBUG org.rococoa.callback - No method for selector:validateUserInterfaceItem:
05/12/2013 10:57:32.700 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:32,699 [main] DEBUG org.rococoa.callback - No method for selector:_windowForToolbar
05/12/2013 10:57:32.700 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:32,699 [main] DEBUG org.rococoa.callback - No method for selector:validateMenuItem:
05/12/2013 10:57:32.700 [0x0-0x40040].ch.sudo.cyberduck: 2013-12-05 10:57:32,699 [main] DEBUG org.rococoa.callback - No method for selector:validateUserInterfaceItem:
05/12/2013 10:58:13.000 kernel: smb_smb_negotiate: Support for the server TECHNICOLOR has been deprecated (PreXP), disconnecting

Last edited on Dec 5, 2013 at 8:32:25 AM by dkocher (previous) (diff)

comment:5 Changed on Dec 5, 2013 at 8:37:20 AM by dkocher

  • Owner changed from ivanhassan to dkocher
  • Status changed from new to assigned

The POST /?delete HTTP/1.1 request is entirely missing which is issued here when I try to replicate the issue.

comment:6 Changed on Dec 5, 2013 at 9:11:11 AM by ivanhassan

hmm that would do it!

FYI - i did reinstall with a fresh download and then switched from Release to Snapshot and updated again. Same result.

Tried it on another OSX 10.7 mac and it worked ok, so must be something weird which is stopping the http request.

Also can't rename a file either. The copy with new name and old file both exist.

What next?

Ivan

comment:7 Changed on Dec 21, 2013 at 1:04:49 AM by ivanhassan

Hi Just managed to do a little more testing:

v4.4.4 has the same issue that it cannot delete files on an Amazon S3 volume

however rolling back to Version 4.2 (9326) it works perfectly.

Also tested with CrossFTP, ForkLift and Transmit which all worked ok.

Additionally tested with Expandrive and WingFS which all worked fine.

Thus it appears to be a bug that has crept in.

I'm on 10.7.4, running Sophos which does not appear to be conflicting. (uninstalled and made no difference).

Thanks

Ivan

comment:8 Changed on Dec 30, 2013 at 9:02:59 AM by dkocher

  • Milestone changed from 4.5 to 4.4.4

comment:9 follow-up: Changed on Dec 30, 2013 at 10:56:56 PM by ivanhassan

Version 4.4.4 (14157) - tried it on last nights SnapShot. Still same issue cannot delete.

comment:10 in reply to: ↑ 9 Changed on Dec 31, 2013 at 10:08:33 AM by dkocher

Replying to ivanhassan:

Version 4.4.4 (14157) - tried it on last nights SnapShot. Still same issue cannot delete.

Thanks for the confirmation. We are still trying to figure out what is happening here.

comment:11 follow-up: Changed on Jan 9, 2014 at 12:25:49 AM by ivanhassan

Hi

Just tried the latest snapshot 4.4.4 (14178).

Mixed news.

It did delete but had issues;

  1. changing directories failed
  2. screen redraw hung

I have attached a couple of images.

Ivan

Changed on Jan 9, 2014 at 12:28:12 AM by ivanhassan

Changed on Jan 9, 2014 at 12:28:36 AM by ivanhassan

comment:12 in reply to: ↑ 11 Changed on Jan 9, 2014 at 4:49:09 PM by dkocher

Replying to ivanhassan:

Hi

Just tried the latest snapshot 4.4.4 (14178).

Mixed news.

It did delete but had issues;

  1. changing directories failed
  2. screen redraw hung

I have attached a couple of images.

Ivan

These screenshots show a different issue (connected to a FTP server) that is not connected to the S3 delete issue originally reported.

comment:13 follow-up: Changed on Jan 10, 2014 at 4:16:20 AM by ivanhassan

D'oh !

yes that was an FTP server not S3.

Retested on S3 and sadly does not delete items like before.

Ivan

PS the other issues might be on another ticket ?

comment:14 in reply to: ↑ 13 Changed on Jan 10, 2014 at 1:34:15 PM by dkocher

Replying to ivanhassan:

D'oh !

yes that was an FTP server not S3.

Retested on S3 and sadly does not delete items like before.

Ivan

PS the other issues might be on another ticket ?

Changing directory is caused by a permission failure on the server (missing execute or read rights for the folder).

comment:15 Changed on Jan 12, 2014 at 10:19:50 PM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please try r14197 or later.

Note: See TracTickets for help on using tickets.